#ifndef TMIOMASK_H
#define TMIOMASK_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGTextEntry.h>

class TMIOMask : public TGTransientFrame {
    
  RQ_OBJECT("TMIOMask")

  public:
    
  TMIOMask(const TGWindow* p, const TGWindow *main, Bool_t load);
  virtual ~TMIOMask();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
  private:

  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[2];
  TGCompositeFrame	*fFrame;
  TGTextEntry		*fText;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  Bool_t                bLoad;

  enum EEvents {
    TEXT_VAL0,
    BUTTON_APPLY,
    BUTTON_CLOSE,
    BUTTON_HELP,
  };

  ClassDef(TMIOMask, 1);
};

#endif
